function hideElement (selector) {
  document.querySelector(selector)
          .classList.add('hidden');
}

function showElement (selector) {
  document.querySelector(selector)
          .classList.remove('hidden');
}

function updateHTML (selector, content) {
  document.querySelector(selector).innerHTML = content;
}

function renderImage (parentSelector, imageUrl, size) {
  const imageEl = document.createElement('img');
  imageEl.setAttribute("src", imageUrl);
  if (size) {
    const [ width, height ] = size.split('x');
    imageEl.setAttribute("width", width);
    imageEl.setAttribute("height", height);
  }
  const parentEl = document.querySelector(parentSelector);
  parentEl.innerHTML = '';
  parentEl.appendChild(imageEl);
}

export { hideElement, showElement, updateHTML, renderImage };
